Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::CharacterModelAnimationData Class Reference

キャラクタモデルアニメーションデータ More...

`#include <CharacterModelAnimationData.h>`

Inheritance diagram for Lamp::CharacterModelAnimationData:

List of all members.

## Public Member Functions
virtual AnimationData * | copy () const
| コピー
virtual CharacterModelAnimationData * | copyCharacterModelAnimationData () const
| キャラクタモデルアニメーションデータのコピー
virtual void | setSequenceCount (int sequenceCount)
| シーケンス数の設定
virtual int | getSequenceCount () const
| シーケンス数の取得
virtual int | getBoneCount () const
| ボーン数の取得
virtual void | setBoneCount (int boneCount)
| ボーン数の設定
virtual void | setScale (int sequence, int index, VectorInterpolator *scale)
| スケールの設定
virtual VectorInterpolator * | getScale (int sequence, int index) const
| スケールの取得
virtual void | setRotation (int sequence, int index, RotationInterpolator *rotation)
| 回転の設定
virtual RotationInterpolator * | getRotation (int sequence, int index) const
| 回転の取得
virtual void | setTranslation (int sequence, int index, VectorInterpolator *translation)
| 移動の設定
virtual VectorInterpolator * | getTranslation (int sequence, int index) const
| 移動の取得
virtual bool | isCharacterModelAnimationData () const
| キャラクタモデルアニメーションデータかどうか
## Protected Member Functions
| CharacterModelAnimationData (const String &name, AnimationManager *manager)
| コンストラクタ
virtual | ~CharacterModelAnimationData ()
| デストラクタ
virtual Sequence * | getSequence (int sequence)
| シーケンスの取得
virtual const Sequence * | getSequence (int sequence) const
| シーケンスの取得
## Friends
class | AnimationManager

## Detailed Description

キャラクタモデルアニメーションデータ

Definition at line 38 of file CharacterModelAnimationData.h.

## Constructor & Destructor Documentation

Lamp::CharacterModelAnimationData::CharacterModelAnimationData | ( | const String & | name,
|  | AnimationManager * | manager
| ) | `[inline, protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 336 of file CharacterModelAnimationData.h. References NULL.

## Member Function Documentation

virtual AnimationData* Lamp::CharacterModelAnimationData::copy | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたアニメーションデータ Implements Lamp::AnimationData. Definition at line 159 of file CharacterModelAnimationData.h. References copyCharacterModelAnimationData().

virtual int Lamp::CharacterModelAnimationData::getBoneCount | ( |  | ) | const`[inline, virtual]`

| ボーン数の取得 Returns: ボーン数 Definition at line 200 of file CharacterModelAnimationData.h. Referenced by Lamp::CharacterModelAnimation::animate(), Lamp::AnimationCompressor::compressCharacterModelAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData().

virtual RotationInterpolator* Lamp::CharacterModelAnimationData::getRotation | ( | int | sequence,
|  | int | index
| ) | const`[inline, virtual]`

  | 回転の取得 Parameters:
  sequence | シーケンス
  index | ボーンのインデックス
Returns: 回転 Definition at line 276 of file CharacterModelAnimationData.h. References Assert, and Lamp::CharacterModelAnimationData::CharacterModelSequence::rotation_. Referenced by Lamp::CharacterModelAnimation::animate(), Lamp::AnimationCompressor::compressCharacterModelAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData().

virtual VectorInterpolator* Lamp::CharacterModelAnimationData::getScale | ( | int | sequence,
|  | int | index
| ) | const`[inline, virtual]`

  | スケールの取得 Parameters:
  sequence | シーケンス
  index | ボーンのインデックス
Returns: スケール Definition at line 241 of file CharacterModelAnimationData.h. References Assert, and Lamp::CharacterModelAnimationData::CharacterModelSequence::scale_. Referenced by Lamp::CharacterModelAnimation::animate(), Lamp::AnimationCompressor::compressCharacterModelAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData().

virtual const Sequence* Lamp::CharacterModelAnimationData::getSequence | ( | int | sequence | ) | const`[inline, protected, virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implements Lamp::AnimationData. Definition at line 365 of file CharacterModelAnimationData.h. References Assert.

virtual Sequence* Lamp::CharacterModelAnimationData::getSequence | ( | int | sequence | ) | `[inline, protected, virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implements Lamp::AnimationData. Definition at line 354 of file CharacterModelAnimationData.h. References Assert.

virtual int Lamp::CharacterModelAnimationData::getSequenceCount | ( |  | ) | const`[inline, virtual]`

| シーケンス数の取得 Returns: シーケンス数 Implements Lamp::AnimationData. Definition at line 191 of file CharacterModelAnimationData.h. Referenced by Lamp::AnimationCompressor::compressCharacterModelAnimation(), copyCharacterModelAnimationData(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData().

virtual VectorInterpolator* Lamp::CharacterModelAnimationData::getTranslation | ( | int | sequence,
|  | int | index
| ) | const`[inline, virtual]`

  | 移動の取得 Parameters:
  sequence | シーケンス
  index | ボーンのインデックス
Returns: 移動 Definition at line 311 of file CharacterModelAnimationData.h. References Assert, and Lamp::CharacterModelAnimationData::CharacterModelSequence::translation_. Referenced by Lamp::CharacterModelAnimation::animate(), Lamp::AnimationCompressor::compressCharacterModelAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimationData(), and Lamp::BinaryAnimationSaver::writeCharacterModelAnimationData().

virtual bool Lamp::CharacterModelAnimationData::isCharacterModelAnimationData | ( |  | ) | const`[inline, virtual]`

| キャラクタモデルアニメーションデータかどうか Returns: キャラクタモデルアニメーションデータならtrue Reimplemented from Lamp::AnimationData. Definition at line 327 of file CharacterModelAnimationData.h.

virtual void Lamp::CharacterModelAnimationData::setBoneCount | ( | int | boneCount | ) | `[inline, virtual]`

  | ボーン数の設定 Parameters:
  boneCount | ボーン数
Definition at line 206 of file CharacterModelAnimationData.h. References Lamp::CharacterModelAnimationData::CharacterModelSequence::setBoneCount(). Referenced by copyCharacterModelAnimationData(), Lamp::TextAnimationLoader::readCharacterModelAnimationData(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimationData().

virtual void Lamp::CharacterModelAnimationData::setRotation | ( | int | sequence,
|  | int | index,
|  | RotationInterpolator * | rotation
| ) | `[inline, virtual]`

  | 回転の設定 Parameters:
  sequence | シーケンス
  index | ボーンのインデックス
  rotation | 設定する回転
Definition at line 258 of file CharacterModelAnimationData.h. References Assert, Lamp::CharacterModelAnimationData::CharacterModelSequence::calcLength(), Lamp::CharacterModelAnimationData::CharacterModelSequence::rotation_, and SafeDelete. Referenced by Lamp::AnimationCompressor::compressCharacterModelAnimation(), Lamp::TextAnimationLoader::readCharacterModelAnimationData(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimationData().

virtual void Lamp::CharacterModelAnimationData::setScale | ( | int | sequence,
|  | int | index,
|  | VectorInterpolator * | scale
| ) | `[inline, virtual]`

  | スケールの設定 Parameters:
  sequence | シーケンス
  index | ボーンのインデックス
  scale | 設定するスケール
Definition at line 223 of file CharacterModelAnimationData.h. References Assert, Lamp::CharacterModelAnimationData::CharacterModelSequence::calcLength(), SafeDelete, and Lamp::CharacterModelAnimationData::CharacterModelSequence::scale_. Referenced by Lamp::AnimationCompressor::compressCharacterModelAnimation(), Lamp::TextAnimationLoader::readCharacterModelAnimationData(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimationData().

virtual void Lamp::CharacterModelAnimationData::setSequenceCount | ( | int | sequenceCount | ) | `[inline, virtual]`

  | シーケンス数の設定 Parameters:
  sequenceCount | シーケンス数
Implements Lamp::AnimationData. Definition at line 176 of file CharacterModelAnimationData.h. References SafeArrayDelete, and Lamp::CharacterModelAnimationData::CharacterModelSequence::setBoneCount(). Referenced by copyCharacterModelAnimationData(), Lamp::TextAnimationLoader::readCharacterModelAnimationData(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimationData().

virtual void Lamp::CharacterModelAnimationData::setTranslation | ( | int | sequence,
|  | int | index,
|  | VectorInterpolator * | translation
| ) | `[inline, virtual]`

  | 移動の設定 Parameters:
  sequence | シーケンス
  index | ボーンのインデックス
  translation | 設定する移動
Definition at line 293 of file CharacterModelAnimationData.h. References Assert, Lamp::CharacterModelAnimationData::CharacterModelSequence::calcLength(), SafeDelete, and Lamp::CharacterModelAnimationData::CharacterModelSequence::translation_. Referenced by Lamp::AnimationCompressor::compressCharacterModelAnimation(), Lamp::TextAnimationLoader::readCharacterModelAnimationData(), and Lamp::BinaryAnimationLoader::readCharacterModelAnimationData().

The documentation for this class was generated from the following files:

- CharacterModelAnimationData.h
- CharacterModelAnimationData.cpp